
From: Magnus Damm <damm@opensource.se>

Crystal clear MODULE_PARM_DESC typo fixes for: bt878, edgeport, g_ether,
budget, cifs, drm, eepro100

Signed-off-by: Magnus Damm <damm@opensource.se>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/drm/drm_stub.c           |    4 ++--
 25-akpm/drivers/media/dvb/bt8xx/bt878.c       |    4 ++--
 25-akpm/drivers/media/dvb/ttpci/budget-core.c |    2 +-
 25-akpm/drivers/net/eepro100.c                |    4 ++--
 25-akpm/drivers/usb/gadget/ether.c            |    2 +-
 25-akpm/drivers/usb/serial/io_edgeport.c      |    2 +-
 25-akpm/fs/cifs/cifsfs.c                      |    2 +-
 7 files changed, 10 insertions(+), 10 deletions(-)

diff -puN drivers/char/drm/drm_stub.c~module-parameter-fixes drivers/char/drm/drm_stub.c
--- 25/drivers/char/drm/drm_stub.c~module-parameter-fixes	2005-03-21 23:00:53.000000000 -0800
+++ 25-akpm/drivers/char/drm/drm_stub.c	2005-03-21 23:00:53.000000000 -0800
@@ -43,8 +43,8 @@ EXPORT_SYMBOL(drm_debug);
 MODULE_AUTHOR( DRIVER_AUTHOR );
 MODULE_DESCRIPTION( DRIVER_DESC );
 MODULE_LICENSE("GPL and additional rights");
-MODULE_PARM_DESC(drm_cards_limit, "Maximum number of graphics cards");
-MODULE_PARM_DESC(drm_debug, "Enable debug output");
+MODULE_PARM_DESC(cards_limit, "Maximum number of graphics cards");
+MODULE_PARM_DESC(debug, "Enable debug output");
 
 module_param_named(cards_limit, drm_cards_limit, int, 0444);
 module_param_named(debug, drm_debug, int, 0666);
diff -puN drivers/media/dvb/bt8xx/bt878.c~module-parameter-fixes drivers/media/dvb/bt8xx/bt878.c
--- 25/drivers/media/dvb/bt8xx/bt878.c~module-parameter-fixes	2005-03-21 23:00:53.000000000 -0800
+++ 25-akpm/drivers/media/dvb/bt8xx/bt878.c	2005-03-21 23:00:53.000000000 -0800
@@ -55,10 +55,10 @@ static unsigned int bt878_verbose = 1;
 static unsigned int bt878_debug;
 
 module_param_named(verbose, bt878_verbose, int, 0444);
-MODULE_PARM_DESC(bt878_verbose,
+MODULE_PARM_DESC(verbose,
 		 "verbose startup messages, default is 1 (yes)");
 module_param_named(debug, bt878_debug, int, 0644);
-MODULE_PARM_DESC(bt878_debug, "Turn on/off debugging (default:off).");
+MODULE_PARM_DESC(debug, "Turn on/off debugging (default:off).");
 
 int bt878_num;
 struct bt878 bt878[BT878_MAX];
diff -puN drivers/media/dvb/ttpci/budget-core.c~module-parameter-fixes drivers/media/dvb/ttpci/budget-core.c
--- 25/drivers/media/dvb/ttpci/budget-core.c~module-parameter-fixes	2005-03-21 23:00:53.000000000 -0800
+++ 25-akpm/drivers/media/dvb/ttpci/budget-core.c	2005-03-21 23:00:53.000000000 -0800
@@ -41,7 +41,7 @@
 
 int budget_debug;
 module_param_named(debug, budget_debug, int, 0644);
-MODULE_PARM_DESC(budget_debug, "Turn on/off budget debugging (default:off).");
+MODULE_PARM_DESC(debug, "Turn on/off budget debugging (default:off).");
 
 /****************************************************************************
  * TT budget / WinTV Nova
diff -puN drivers/net/eepro100.c~module-parameter-fixes drivers/net/eepro100.c
--- 25/drivers/net/eepro100.c~module-parameter-fixes	2005-03-21 23:00:53.000000000 -0800
+++ 25-akpm/drivers/net/eepro100.c	2005-03-21 23:00:53.000000000 -0800
@@ -144,8 +144,8 @@ MODULE_PARM_DESC(full_duplex, "full dupl
 MODULE_PARM_DESC(congenb, "Enable congestion control (1)");
 MODULE_PARM_DESC(txfifo, "Tx FIFO threshold in 4 byte units, (0-15)");
 MODULE_PARM_DESC(rxfifo, "Rx FIFO threshold in 4 byte units, (0-15)");
-MODULE_PARM_DESC(txdmaccount, "Tx DMA burst length; 128 - disable (0-128)");
-MODULE_PARM_DESC(rxdmaccount, "Rx DMA burst length; 128 - disable (0-128)");
+MODULE_PARM_DESC(txdmacount, "Tx DMA burst length; 128 - disable (0-128)");
+MODULE_PARM_DESC(rxdmacount, "Rx DMA burst length; 128 - disable (0-128)");
 MODULE_PARM_DESC(rx_copybreak, "copy breakpoint for copy-only-tiny-frames");
 MODULE_PARM_DESC(max_interrupt_work, "maximum events handled per interrupt");
 MODULE_PARM_DESC(multicast_filter_limit, "maximum number of filtered multicast addresses");
diff -puN drivers/usb/gadget/ether.c~module-parameter-fixes drivers/usb/gadget/ether.c
--- 25/drivers/usb/gadget/ether.c~module-parameter-fixes	2005-03-21 23:00:53.000000000 -0800
+++ 25-akpm/drivers/usb/gadget/ether.c	2005-03-21 23:00:53.000000000 -0800
@@ -205,7 +205,7 @@ MODULE_PARM_DESC(iProduct, "USB Product 
 /* initial value, changed by "ifconfig usb0 hw ether xx:xx:xx:xx:xx:xx" */
 static char *__initdata dev_addr;
 module_param(dev_addr, charp, S_IRUGO);
-MODULE_PARM_DESC(iProduct, "Device Ethernet Address");
+MODULE_PARM_DESC(dev_addr, "Device Ethernet Address");
 
 /* this address is invisible to ifconfig */
 static char *__initdata host_addr;
diff -puN drivers/usb/serial/io_edgeport.c~module-parameter-fixes drivers/usb/serial/io_edgeport.c
--- 25/drivers/usb/serial/io_edgeport.c~module-parameter-fixes	2005-03-21 23:00:53.000000000 -0800
+++ 25-akpm/drivers/usb/serial/io_edgeport.c	2005-03-21 23:00:53.000000000 -0800
@@ -3110,4 +3110,4 @@ module_param(debug, bool, S_IRUGO | S_IW
 MODULE_PARM_DESC(debug, "Debug enabled or not");
 
 module_param(low_latency, bool, S_IRUGO | S_IWUSR);
-MODULE_PARM_DESC(debug, "Low latency enabled or not");
+MODULE_PARM_DESC(low_latency, "Low latency enabled or not");
diff -puN fs/cifs/cifsfs.c~module-parameter-fixes fs/cifs/cifsfs.c
--- 25/fs/cifs/cifsfs.c~module-parameter-fixes	2005-03-21 23:00:53.000000000 -0800
+++ 25-akpm/fs/cifs/cifsfs.c	2005-03-21 23:00:53.000000000 -0800
@@ -67,7 +67,7 @@ module_param(cifs_min_rcv, int, 0);
 MODULE_PARM_DESC(cifs_min_rcv,"Network buffers in pool. Default: 4 Range: 1 to 64");
 unsigned int cifs_min_small = 30;
 module_param(cifs_min_small, int, 0);
-MODULE_PARM_DESC(cifs_small_rcv,"Small network buffers in pool. Default: 30 Range: 2 to 256");
+MODULE_PARM_DESC(cifs_min_small,"Small network buffers in pool. Default: 30 Range: 2 to 256");
 unsigned int cifs_max_pending = CIFS_MAX_REQ;
 module_param(cifs_max_pending, int, 0);
 MODULE_PARM_DESC(cifs_max_pending,"Simultaneous requests to server. Default: 50 Range: 2 to 256");
_
